# png::detail::wrong_color_space< pixel > Struct Template Reference

`#include <require_color_space.hpp>`

List of all members.

## Public Member Functions

template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()
template<>
char const * | error_msg ()

## Static Public Member Functions

static char const * | error_msg ()

### template<typename pixel>
struct png::detail::wrong_color_space< pixel >

## Member Function Documentation

template<typename pixel >

static char const* png::detail::wrong_color_space< pixel >::error_msg | ( | ) | `[inline, static]`

template<>

char const * png::detail::wrong_color_space< rgb_pixel >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< rgb_pixel_16 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< rgba_pixel >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< rgba_pixel_16 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< gray_pixel >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< gray_pixel_1 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< gray_pixel_2 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< gray_pixel_4 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< gray_pixel_16 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< ga_pixel >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< ga_pixel_16 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< index_pixel >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< index_pixel_1 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< index_pixel_2 >::error_msg | ( | ) | `[inline]`

template<>

char const * png::detail::wrong_color_space< index_pixel_4 >::error_msg | ( | ) | `[inline]`

The documentation for this struct was generated from the following file:

- require_color_space.hpp